My Oracle Support Banner

E-DPK: Deploying PeopleTools 8.57.06 DPK Mid-Tier on HP-UX Failed (Doc ID 2539868.1)

Last updated on JULY 21, 2020

Applies to:

PeopleSoft Enterprise PT PeopleTools - Version 8.57 and later
Information in this document applies to any platform.

Symptoms

On : 8.57 version, Upgrade

People tools 8.57.06 // HP-UX Itanium

While trying to deploy the DPK People Tools 8.57.06 Mid-Tier on HP-UX for upgrading our tools the following error is encountered.


ERROR
-----------------------

The below error are the main suspects related to the cause of the issue

tar: ././@LongLink - cannot create
 psftutils.py ERROR : Execution of Puppet command returned code [6]
 psftutils.py DEBUG : Leaving apply_puppet_profile_sync
 psft_environment.py DEBUG : Puppet apply of [pt_profile::pt_tools_deployment] failed
 psftutils.py DEBUG : Script execution ended at []
 psftutils.py DEBUG : Script execution status [Failed], time taken []

Other possible related error:
Puppet (err): Could not find a suitable provider for pt_deploy_pshome



STEPS
-----------------------
The issue can be reproduced at will with the following steps:
1. Deploy the PeopleTools 8.57.06 DPK on HP-UX
2. Use the "psft-dpk-setup.sh --env_type midtier --deploy_only --deploy_type all" command to deploy the DPK script
3. Select the default initialization process. (no customizations is being used)

BUSINESS IMPACT
-----------------------
The issue has the following business impact:
Due to this issue, users cannot complete the PeopleTools 8.56 DPK deployment for Upgrading Peopletools 8.57

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.